Bug 9621 - kde-window-decorator incorrectly parsing options
Summary: kde-window-decorator incorrectly parsing options
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: App/compiz (show other bugs)
Version: 7.1 (2006.05)
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Kristian Lyngstøl
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-11 13:39 UTC by kronheim
Modified: 2018-06-12 19:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kronheim 2007-01-11 13:39:41 UTC
Sorry if this turns out to be just a problem with my build, but
kde-window-decorator is not parsing its command-line options correctly here. For
example:

    $ kde-window-decorator --opacity 0.80
    kde-window-decorator: Unexpected argument '0.80'.

If I put an "=" in the command line like this,

    $ kde-window-decorator --opacity=0.80

then there program launches normally, but the opacity is not correctly set: it
is much too low. Indeed, there is no difference between "--opacity=0.80" and
"--opacity=0.0". I am using 0.3.7 checked out by git on 2007-01-11.
Comment 1 Daniel Stone 2007-02-27 01:35:38 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Kristian Lyngstøl 2009-02-03 12:41:17 UTC
Is this still relevant?
Comment 3 Adam Jackson 2018-06-12 19:10:19 UTC
Mass closure: This bug has been untouched for more than six years, and is not
obviously still valid. Please reopen this bug or file a new report if you continue to experience issues with current releases.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.